package cn.ey.biz.module.system.service.timesheet;

import cn.ey.biz.common.pojo.PageParam;
import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.timesheet.approve.vo.TimesheetApproveRuleVO;
import cn.ey.biz.module.system.dal.dataobject.timesheet.TimesheetApproveRuleDO;

import java.util.List;

public interface TimesheetApproveRuleService {

    List<TimesheetApproveRuleDO> listApproveRule();

    void submitApproveRule(List<TimesheetApproveRuleVO> timesheetApproveRuleVOS);

    void deleteTimesheetApprove(Long id);

    PageResult<TimesheetApproveRuleDO> listPageApproveRule(PageParam pageParam);

    void saveApproveRule(List<TimesheetApproveRuleVO> timesheetApproveRuleVOS);
}
